# Documents Object

> Source: https://truto.one/docs/api-reference/unified-e-signature-api/documents/

Schema for the `Documents` resource in **Unified E-Signature API**.

## Properties

- **`id`** _(string)_
  The unique identifier of the document.
- **`name`** _(string)_
  The name of the document.
- **`signing_request`** _(object)_
  The signing request associated with the document
  - **`id`** _(unknown)_
- **`urls`** _(array<object>)_
  The urls of the document
  - **`url`** _(string)_
    The url of the document
  - **`type`** _(string)_
    The type of the url
    Allowed: `view`, `edit`, `public_view`
- **`created_by`** _(object)_
  The user who created the document.
  - **`id`** _(string)_
    The unique identifier of the user.
  - **`name`** _(string)_
    The name of the user.
  - **`emails`** _(array<object>)_
    The emails of the user.
    - **`email`** _(string)_
      The email address of the user.
- **`status`** _(string)_
  The status of the document.
- **`scope`** _(string)_
  The scope of the document.
- **`created_at`** _(string)_
  The date and time when the document was created.
- **`updated_at`** _(string)_
  The date and time when the document was last updated.
- **`last_activity_at`** _(string)_
  The date and time when the document was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/e-signature/documents](/docs/api-reference/unified-e-signature-api/documents/list) — List Documents
- [POST /unified/e-signature/documents](/docs/api-reference/unified-e-signature-api/documents/create) — Create Documents
- [GET /unified/e-signature/documents/{id}](/docs/api-reference/unified-e-signature-api/documents/get) — Get Documents
- [DELETE /unified/e-signature/documents/{id}](/docs/api-reference/unified-e-signature-api/documents/delete) — Delete Documents
- [POST /unified/e-signature/documents/download](/docs/api-reference/unified-e-signature-api/documents/download) — Download Documents
